Package org.gdal.ogr

## Class FieldDomain

- java.lang.Object
- - org.gdal.ogr.FieldDomain

-     public class FieldDomain
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `GetDescription()` |
    `int` | `GetDomainType()` |
    `int` | `GetFieldSubType()` |
    `int` | `GetFieldType()` |
    `java.lang.String` | `GetGlob()` |
    `double` | `GetMaxAsDouble()` |
    `int` | `GetMergePolicy()` |
    `double` | `GetMinAsDouble()` |
    `java.lang.String` | `GetName()` |
    `int` | `GetSplitPolicy()` |
    `int` | `hashCode()` |
    `boolean` | `IsMaxInclusive()` |
    `boolean` | `IsMinInclusive()` |
    `void` | `SetMergePolicy​(int policy)` |
    `void` | `SetSplitPolicy​(int policy)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetDescription

          public java.lang.String GetDescription()

    - #### GetFieldType

          public int GetFieldType()

    - #### GetFieldSubType

          public int GetFieldSubType()

    - #### GetDomainType

          public int GetDomainType()

    - #### GetSplitPolicy

          public int GetSplitPolicy()

    - #### SetSplitPolicy

          public void SetSplitPolicy​(int policy)

    - #### GetMergePolicy

          public int GetMergePolicy()

    - #### SetMergePolicy

          public void SetMergePolicy​(int policy)

    - #### GetMinAsDouble

          public double GetMinAsDouble()

    - #### IsMinInclusive

          public boolean IsMinInclusive()

    - #### GetMaxAsDouble

          public double GetMaxAsDouble()

    - #### IsMaxInclusive

          public boolean IsMaxInclusive()

    - #### GetGlob

          public java.lang.String GetGlob()